/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./src/graphql/gql/s-user-query.gql":
/*!******************************************!*\
  !*** ./src/graphql/gql/s-user-query.gql ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ("query($userId: Int!) {\n  user(id: $userId) {\n    formatted_name\n    android_rated\n    date_birthday\n    description\n    zipcode\n    firstname\n    favorites\n    facebook_id\n    email_verified_at\n    email\n    created_at\n    country_phone_code\n    country_code_swimmer\n    country_code\n    country\n    card_last_four\n    card_brand\n    awards\n    accept_chat_rules\n    id\n    img_url\n    ios_rated\n    isAnyPool\n    is_birthday_popup\n    is_promo_opted_in\n    last_pool_id\n    lastname\n    mail_notifications\n    mobile_number\n    mobile_number_verified_at\n    multi_info\n    verificationsPrivate {\n      img_id_approved\n      img_proof_approved\n      successful_booking\n      pool_proof_url\n      passport_drive_url\n    }\n    stripe_swimmer_id\n    stripe_id\n    stripe_connect_url\n    stripe_account_onboard\n    show_app_rate\n    pools_count\n    phone_number\n    permissions {\n      name\n      id\n    }\n    reviews {\n      booking {\n        adult_guests\n        available_address\n        booking_invites {\n          email\n          last_name\n          phone_number\n          id\n          first_name\n          created_by\n\n          attendee {\n            email\n            email_verified_at\n            facebook_id\n            date_birthday\n            description\n            firstname\n          }\n        }\n      }\n    }\n    verifications {\n      passport_drive_url\n      successful_booking\n      pool_proof_url\n    }\n    notify_olden\n    postal_code_source\n    rating\n    referral\n    referral_balance\n    referral_token\n    roles {\n      permissions {\n        name\n        id\n      }\n      name\n    }\n  }\n}\n");

/***/ }),

/***/ "./src/cache.ts":
/*!**********************!*\
  !*** ./src/cache.ts ***!
  \**********************/
/***/ ((__unused_webpack_module, exports) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
class CacheKeys {
    constructor() {
        // current keys used.
        this._currentKeys = [];
    }
    push(i) {
        this._currentKeys.push(i);
    }
    printDetails() {
        if (this._currentKeys.length > 0) {
            console.log('--MISSED KEYS');
            console.log(JSON.stringify(this._currentKeys));
        }
    }
}
// Export singleton for use by loader and plugin.
exports["default"] = new CacheKeys();


/***/ }),

/***/ "./src/config/env-config.ts":
/*!**********************************!*\
  !*** ./src/config/env-config.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.config = void 0;
const envalid_1 = __webpack_require__(/*! envalid */ "envalid");
exports.config = (0, envalid_1.cleanEnv)(process.env, {
    S_AUTHORIZATION_HEADER: (0, envalid_1.str)(),
    S_GRAPHQL_URL: (0, envalid_1.str)(),
    S_START_SEQ: (0, envalid_1.num)(),
    S_END_SEQ: (0, envalid_1.num)(),
    MONGO_URL: (0, envalid_1.str)({ devDefault: 'mongodb://localhost:27017/S_MARKET' }),
});


/***/ }),

/***/ "./src/config/index.ts":
/*!*****************************!*\
  !*** ./src/config/index.ts ***!
  \*****************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {


var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
__exportStar(__webpack_require__(/*! ./env-config */ "./src/config/env-config.ts"), exports);


/***/ }),

/***/ "./src/nodeFetch.ts":
/*!**************************!*\
  !*** ./src/nodeFetch.ts ***!
  \**************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {


var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.fetchData = void 0;
// import fetch from 'isomorphic-fetch';
const node_fetch_1 = __importDefault(__webpack_require__(/*! node-fetch */ "node-fetch"));
const cache_1 = __importDefault(__webpack_require__(/*! ./cache */ "./src/cache.ts"));
async function fetchData(graphqlUrl, token, query, variables = {}) {
    const res = await (0, node_fetch_1.default)(graphqlUrl, {
        method: "POST",
        headers: {
            "Content-Type": "application/json",
            'Authorization': `Bearer ${token}`,
        },
        body: JSON.stringify({ query, variables }),
        redirect: 'follow',
    }).catch((err) => console.log(err.message));
    if (res) {
        try {
            const data = await res.json();
            return data;
        }
        catch (err) {
            cache_1.default.push(variables.poolId || variables.userId);
            console.log('--errr', err);
            console.log('-data---', res);
        }
    }
    return {};
}
exports.fetchData = fetchData;


/***/ }),

/***/ "./src/store/curd-insert.ts":
/*!**********************************!*\
  !*** ./src/store/curd-insert.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.mongoClient = void 0;
const mongodb_1 = __webpack_require__(/*! mongodb */ "mongodb");
const config_1 = __webpack_require__(/*! ../config */ "./src/config/index.ts");
const mongoClient = new mongodb_1.MongoClient(config_1.config.MONGO_URL);
exports.mongoClient = mongoClient;


/***/ }),

/***/ "./src/user.ts":
/*!*********************!*\
  !*** ./src/user.ts ***!
  \*********************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {


var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
const dotenv = __importStar(__webpack_require__(/*! dotenv */ "dotenv"));
__webpack_require__(/*! reflect-metadata */ "reflect-metadata");
const cache_1 = __importDefault(__webpack_require__(/*! ./cache */ "./src/cache.ts"));
if (process.env.ENV_FILE) {
    dotenv.config({ path: process.env.ENV_FILE });
}
// @ts-ignore
const s_user_query_gql_1 = __importDefault(__webpack_require__(/*! ./graphql/gql/s-user-query.gql */ "./src/graphql/gql/s-user-query.gql"));
const nodeFetch_1 = __webpack_require__(/*! ./nodeFetch */ "./src/nodeFetch.ts");
const config_1 = __webpack_require__(/*! ./config */ "./src/config/index.ts");
const curd_insert_1 = __webpack_require__(/*! ./store/curd-insert */ "./src/store/curd-insert.ts");
const initial = config_1.config.S_START_SEQ;
const final = config_1.config.S_END_SEQ;
const startJob = async () => {
    var _a;
    console.time("dbsave");
    try {
        await curd_insert_1.mongoClient.connect();
        const db = curd_insert_1.mongoClient.db('S_DATA');
        const coll = db.collection('user');
        for (let i = initial; i < final; i++) {
            const data = await (0, nodeFetch_1.fetchData)(config_1.config.S_GRAPHQL_URL, config_1.config.S_AUTHORIZATION_HEADER, s_user_query_gql_1.default, { userId: i });
            // const data = { name: "Halley's Comet", officialName: "1P/Halley", orbitalPeriod: 75, radius: 3.4175, mass: 2.2e14 };
            const poolData = (_a = data === null || data === void 0 ? void 0 : data.data) === null || _a === void 0 ? void 0 : _a.user;
            if (poolData)
                await coll.insertOne(poolData);
        }
    }
    finally {
        console.log('imported with missing ones as follow');
        cache_1.default.printDetails();
        await curd_insert_1.mongoClient.close();
        console.timeEnd("dbsave");
    }
};
startJob().catch(console.dir);


/***/ }),

/***/ "dotenv":
/*!*************************!*\
  !*** external "dotenv" ***!
  \*************************/
/***/ ((module) => {

module.exports = require("dotenv");

/***/ }),

/***/ "envalid":
/*!**************************!*\
  !*** external "envalid" ***!
  \**************************/
/***/ ((module) => {

module.exports = require("envalid");

/***/ }),

/***/ "mongodb":
/*!**************************!*\
  !*** external "mongodb" ***!
  \**************************/
/***/ ((module) => {

module.exports = require("mongodb");

/***/ }),

/***/ "node-fetch":
/*!*****************************!*\
  !*** external "node-fetch" ***!
  \*****************************/
/***/ ((module) => {

module.exports = require("node-fetch");

/***/ }),

/***/ "reflect-metadata":
/*!***********************************!*\
  !*** external "reflect-metadata" ***!
  \***********************************/
/***/ ((module) => {

module.exports = require("reflect-metadata");

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/************************************************************************/
/******/ 	
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	// This entry module is referenced by other modules so it can't be inlined
/******/ 	var __webpack_exports__ = __webpack_require__("./src/user.ts");
/******/ 	module.exports = __webpack_exports__;
/******/ 	
/******/ })()
;
//# sourceMappingURL=user.js.map